Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
ffa8::/16
First address
ffa8::
Last address
ffa8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
ffa8:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
8.a.f.f.ip6.arpa
Split into smaller subnets/24

ffa8::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1ffa8::/24ffa8:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffa8:100::/24ffa8:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffa8:200::/24ffa8:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffa8:300::/24ffa8:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffa8:400::/24ffa8:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffa8:500::/24ffa8:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffa8:600::/24ffa8:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffa8:700::/24ffa8:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffa8:800::/24ffa8:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffa8:900::/24ffa8:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffa8:a00::/24ffa8:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffa8:b00::/24ffa8:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffa8:c00::/24ffa8:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffa8:d00::/24ffa8:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffa8:e00::/24ffa8:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffa8:f00::/24ffa8:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffa8:1000::/24ffa8:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffa8:1100::/24ffa8:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffa8:1200::/24ffa8:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffa8:1300::/24ffa8:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffa8:1400::/24ffa8:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffa8:1500::/24ffa8:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffa8:1600::/24ffa8:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffa8:1700::/24ffa8:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffa8:1800::/24ffa8:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffa8:1900::/24ffa8:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffa8:1a00::/24ffa8:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffa8:1b00::/24ffa8:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffa8:1c00::/24ffa8:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffa8:1d00::/24ffa8:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffa8:1e00::/24ffa8:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffa8:1f00::/24ffa8:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffa8:2000::/24ffa8:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffa8:2100::/24ffa8:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffa8:2200::/24ffa8:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffa8:2300::/24ffa8:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffa8:2400::/24ffa8:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffa8:2500::/24ffa8:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffa8:2600::/24ffa8:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffa8:2700::/24ffa8:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffa8:2800::/24ffa8:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffa8:2900::/24ffa8:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffa8:2a00::/24ffa8:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffa8:2b00::/24ffa8:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffa8:2c00::/24ffa8:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffa8:2d00::/24ffa8:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffa8:2e00::/24ffa8:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffa8:2f00::/24ffa8:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffa8:3000::/24ffa8:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffa8:3100::/24ffa8:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffa8:3200::/24ffa8:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffa8:3300::/24ffa8:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffa8:3400::/24ffa8:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffa8:3500::/24ffa8:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffa8:3600::/24ffa8:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffa8:3700::/24ffa8:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffa8:3800::/24ffa8:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffa8:3900::/24ffa8:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffa8:3a00::/24ffa8:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffa8:3b00::/24ffa8:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffa8:3c00::/24ffa8:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffa8:3d00::/24ffa8:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffa8:3e00::/24ffa8:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffa8:3f00::/24ffa8:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffa8:4000::/24ffa8:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffa8:4100::/24ffa8:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffa8:4200::/24ffa8:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffa8:4300::/24ffa8:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffa8:4400::/24ffa8:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffa8:4500::/24ffa8:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffa8:4600::/24ffa8:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffa8:4700::/24ffa8:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffa8:4800::/24ffa8:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffa8:4900::/24ffa8:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffa8:4a00::/24ffa8:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffa8:4b00::/24ffa8:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffa8:4c00::/24ffa8:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffa8:4d00::/24ffa8:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffa8:4e00::/24ffa8:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffa8:4f00::/24ffa8:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffa8:5000::/24ffa8:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffa8:5100::/24ffa8:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffa8:5200::/24ffa8:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffa8:5300::/24ffa8:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffa8:5400::/24ffa8:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffa8:5500::/24ffa8:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffa8:5600::/24ffa8:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffa8:5700::/24ffa8:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffa8:5800::/24ffa8:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffa8:5900::/24ffa8:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffa8:5a00::/24ffa8:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffa8:5b00::/24ffa8:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffa8:5c00::/24ffa8:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffa8:5d00::/24ffa8:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffa8:5e00::/24ffa8:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffa8:5f00::/24ffa8:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffa8:6000::/24ffa8:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffa8:6100::/24ffa8:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffa8:6200::/24ffa8:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffa8:6300::/24ffa8:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffa8:6400::/24ffa8:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffa8:6500::/24ffa8:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffa8:6600::/24ffa8:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffa8:6700::/24ffa8:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffa8:6800::/24ffa8:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffa8:6900::/24ffa8:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffa8:6a00::/24ffa8:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffa8:6b00::/24ffa8:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffa8:6c00::/24ffa8:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffa8:6d00::/24ffa8:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffa8:6e00::/24ffa8:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffa8:6f00::/24ffa8:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffa8:7000::/24ffa8:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffa8:7100::/24ffa8:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffa8:7200::/24ffa8:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffa8:7300::/24ffa8:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffa8:7400::/24ffa8:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffa8:7500::/24ffa8:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffa8:7600::/24ffa8:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffa8:7700::/24ffa8:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffa8:7800::/24ffa8:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffa8:7900::/24ffa8:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffa8:7a00::/24ffa8:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffa8:7b00::/24ffa8:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffa8:7c00::/24ffa8:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffa8:7d00::/24ffa8:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffa8:7e00::/24ffa8:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffa8:7f00::/24ffa8:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffa8:8000::/24ffa8:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffa8:8100::/24ffa8:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffa8:8200::/24ffa8:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffa8:8300::/24ffa8:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffa8:8400::/24ffa8:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffa8:8500::/24ffa8:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffa8:8600::/24ffa8:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffa8:8700::/24ffa8:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffa8:8800::/24ffa8:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffa8:8900::/24ffa8:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffa8:8a00::/24ffa8:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffa8:8b00::/24ffa8:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffa8:8c00::/24ffa8:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffa8:8d00::/24ffa8:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffa8:8e00::/24ffa8:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffa8:8f00::/24ffa8:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffa8:9000::/24ffa8:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffa8:9100::/24ffa8:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffa8:9200::/24ffa8:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffa8:9300::/24ffa8:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffa8:9400::/24ffa8:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffa8:9500::/24ffa8:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffa8:9600::/24ffa8:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffa8:9700::/24ffa8:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffa8:9800::/24ffa8:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffa8:9900::/24ffa8:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffa8:9a00::/24ffa8:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffa8:9b00::/24ffa8:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffa8:9c00::/24ffa8:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffa8:9d00::/24ffa8:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffa8:9e00::/24ffa8:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffa8:9f00::/24ffa8:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffa8:a000::/24ffa8:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffa8:a100::/24ffa8:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffa8:a200::/24ffa8:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffa8:a300::/24ffa8:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffa8:a400::/24ffa8:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffa8:a500::/24ffa8:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffa8:a600::/24ffa8:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffa8:a700::/24ffa8:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffa8:a800::/24ffa8:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffa8:a900::/24ffa8:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffa8:aa00::/24ffa8:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffa8:ab00::/24ffa8:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffa8:ac00::/24ffa8:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffa8:ad00::/24ffa8:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffa8:ae00::/24ffa8:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffa8:af00::/24ffa8:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffa8:b000::/24ffa8:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffa8:b100::/24ffa8:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffa8:b200::/24ffa8:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffa8:b300::/24ffa8:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffa8:b400::/24ffa8:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffa8:b500::/24ffa8:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffa8:b600::/24ffa8:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffa8:b700::/24ffa8:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffa8:b800::/24ffa8:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffa8:b900::/24ffa8:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffa8:ba00::/24ffa8:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffa8:bb00::/24ffa8:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffa8:bc00::/24ffa8:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffa8:bd00::/24ffa8:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffa8:be00::/24ffa8:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffa8:bf00::/24ffa8:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffa8:c000::/24ffa8:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffa8:c100::/24ffa8:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffa8:c200::/24ffa8:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffa8:c300::/24ffa8:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffa8:c400::/24ffa8:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffa8:c500::/24ffa8:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffa8:c600::/24ffa8:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffa8:c700::/24ffa8:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffa8:c800::/24ffa8:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffa8:c900::/24ffa8:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffa8:ca00::/24ffa8:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffa8:cb00::/24ffa8:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffa8:cc00::/24ffa8:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffa8:cd00::/24ffa8:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffa8:ce00::/24ffa8:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffa8:cf00::/24ffa8:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffa8:d000::/24ffa8:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffa8:d100::/24ffa8:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffa8:d200::/24ffa8:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffa8:d300::/24ffa8:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffa8:d400::/24ffa8:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffa8:d500::/24ffa8:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffa8:d600::/24ffa8:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffa8:d700::/24ffa8:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffa8:d800::/24ffa8:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffa8:d900::/24ffa8:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffa8:da00::/24ffa8:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffa8:db00::/24ffa8:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffa8:dc00::/24ffa8:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffa8:dd00::/24ffa8:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffa8:de00::/24ffa8:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffa8:df00::/24ffa8:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffa8:e000::/24ffa8:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffa8:e100::/24ffa8:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffa8:e200::/24ffa8:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffa8:e300::/24ffa8:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffa8:e400::/24ffa8:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffa8:e500::/24ffa8:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffa8:e600::/24ffa8:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffa8:e700::/24ffa8:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffa8:e800::/24ffa8:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffa8:e900::/24ffa8:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffa8:ea00::/24ffa8:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffa8:eb00::/24ffa8:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffa8:ec00::/24ffa8:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffa8:ed00::/24ffa8:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffa8:ee00::/24ffa8:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffa8:ef00::/24ffa8:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffa8:f000::/24ffa8:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffa8:f100::/24ffa8:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffa8:f200::/24ffa8:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffa8:f300::/24ffa8:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffa8:f400::/24ffa8:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffa8:f500::/24ffa8:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffa8:f600::/24ffa8:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffa8:f700::/24ffa8:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffa8:f800::/24ffa8:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffa8:f900::/24ffa8:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffa8:fa00::/24ffa8:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffa8:fb00::/24ffa8:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffa8:fc00::/24ffa8:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffa8:fd00::/24ffa8:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffa8:fe00::/24ffa8:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffa8:ff00::/24ffa8:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses